
Ruby - Bug #4814

minitest 2.2.x and test/unit do not get along

06/02/2011 07:37 AM - zenspider (Ryan Davis)

Status: Rejected   

Priority: Normal   

Assignee: sorah (Sorah Fukumori)   

Target version:    

ruby -v: - Backport:  

Description

TestParallel tests are broken on trunk after my update of minitest (+ your patch to test/unit to get tests running).

1. Failure:

test_jobs_status(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:176]:

Expected /\d+=test_(first|second|third|forth) */ to match "Run options: -j t2 --jobs-status\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

_run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in '\n".

2. Failure:

test_no_retry_option(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:170]:

Expected /^ +\d+) Failure:\nptest_fail_at_worker(TestD)/ to match "Run options: -j t2 --no-retry\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

_run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in '\n".

3. Failure:

test_should_retry_failed_on_workers(TestParallel::TestParallel)

[/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:162]:

Expected /^Retrying.+$/ to match "Run options: -j t2\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

_run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in '\n".

4. Failure:

test_should_run_all_without_any_leaks(TestParallel::TestParallel)

[/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:156]:

Expected /^.(.SF.F|F..+SF).$/ to match "Run options: -j t2\n\n# Running
ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

_run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in '\n".

History

#1 - 06/02/2011 10:30 AM - naruse (Yui NARUSE)

Hi, ryan

Thank you for running test-all before commit.

But can you make a ticket when the commit will break test-all?

Especially for r31885, which broke installation, breaks continuous integration.

#2 - 06/02/2011 01:33 PM - sorah (Sorah Fukumori)

- Status changed from Open to Feedback

Hi,

How I reproduce this issue?

#3 - 06/02/2011 07:29 PM - zenspider (Ryan Davis)

- ruby -v changed from ruby 1.9.3dev (2011-06-01 trunk 31883) [x86_64-darwin10.7.0]  to -

On Jun 1, 2011, at 21:33 , Shota Fukumori wrote:

How I reproduce this issue?

 make test-all was all I was doing.

The only oddity is that I delete the drb tests first because they fail spectacularly on osx (75 seconds per error, 100% error).

#4 - 06/02/2011 07:56 PM - sorah (Sorah Fukumori)

could test again with make TESTS="-v testunit/test_parallel.rb" test-all at r31902?

I can't reproduce at ruby 1.9.3dev (2011-06-02 trunk 31902) [x86_64-darwin10.7.0].

#5 - 06/03/2011 05:53 AM - zenspider (Ryan Davis)

On Jun 2, 2011, at 03:56 , Shota Fukumori wrote:

could test again with `make TESTS

#6 - 06/12/2011 09:38 PM - naruse (Yui NARUSE)

How's it going?

#7 - 06/22/2011 06:59 AM - zenspider (Ryan Davis)

mail-to-rubymine truncated my response... Fixed:

I'm still broken:

7107 % svn st

7107 % svn info io.c | grep Revision

Revision: 31902

7108 % make -j 4 ruby19
make: `ruby19' is up to date.

7109 % make TESTS="-v testunit/test_parallel.rb" test-all

./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  -- "./test/runner.rb" --ruby="./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb

--extout=.ext  --" -v testunit/test_parallel.rb

Run options: "--ruby=./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  --" -v

Running tests:

TestParallel::TestParallel#test_jobs_status = 0.12 s = F

TestParallel::TestParallel#test_no_retry_option = 0.12 s = F

TestParallel::TestParallel#test_should_retry_failed_on_workers = 0.12 s = F

TestParallel::TestParallel#test_should_run_all_without_any_leaks = 0.13 s = F

TestParallel::TestParallelWorker#test_accept_run_command_multiple_times = 0.11 s = .

TestParallel::TestParallelWorker#test_done = 0.11 s = .

TestParallel::TestParallelWorker#test_p = 0.11 s = .

TestParallel::TestParallelWorker#test_quit = 0.11 s = .

TestParallel::TestParallelWorker#test_run = 0.11 s = .

TestParallel::TestParallelWorker#test_run_multiple_testcase_in_one_file = 0.11 s = .

Finished tests in 1.145128s, 8.7326 tests/s, 35.8039 assertions/s.

1. Failure:

test_jobs_status(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:176]:

Expected /\d+=test_(first|second|third|forth) */ to match "Run options: -j t2 --jobs-status\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in

_run_anything'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

2. Failure:

test_no_retry_option(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:170]:

Expected /^ +\d+) Failure:\nptest_fail_at_worker(TestD)/ to match "Run options: -j t2 --no-retry\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in

_run_anything'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

3. Failure:

test_should_retry_failed_on_workers(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:162]:

Expected /^Retrying.+$/ to match "Run options: -j t2\n\n# Running ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in

_run_parallel': undefined method each' for nil:NilClass (NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in

_run_parallel'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

4. Failure:

test_should_run_all_without_any_leaks(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:156]:

Expected /^.(.SF.F|F..+SF).$/ to match "Run options: -j t2\n\n# Running ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in

_run_parallel': undefined method each' for nil:NilClass (NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in

_run_parallel'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".
10 tests, 41 assertions, 4 failures, 0 errors, 0 skips

make: *** [yes-test-all] Error 4

Even after updating to the latest revision:

Run options: "--ruby=./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  --" -v

Running tests:

TestParallel::TestParallel#test_ignore_jzero = 0.11 s = .

TestParallel::TestParallel#test_jobs_status = 0.12 s = F

TestParallel::TestParallel#test_no_retry_option = 0.11 s = F

TestParallel::TestParallel#test_should_retry_failed_on_workers = 0.11 s = F

TestParallel::TestParallel#test_should_run_all_without_any_leaks = 0.11 s = F

TestParallel::TestParallelWorker#test_accept_run_command_multiple_times = 0.12 s = .

TestParallel::TestParallelWorker#test_done = 0.13 s = .

TestParallel::TestParallelWorker#test_p = 0.16 s = .

TestParallel::TestParallelWorker#test_quit = 0.11 s = .

TestParallel::TestParallelWorker#test_run = 0.11 s = .

TestParallel::TestParallelWorker#test_run_multiple_testcase_in_one_file = 0.11 s = .

Finished tests in 1.302439s, 8.4457 tests/s, 32.2472 assertions/s.

1. Failure:

test_jobs_status(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:175]:

Expected /\d+=test_(first|second|third|forth) */ to match "Run options: -j t1 --jobs-status\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:500:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:557:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:566:in _run_suites'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in

_run_anything'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:635:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:639:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

2. Failure:

test_no_retry_option(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:169]:

Expected /^ +\d+) Failure:\nptest_fail_at_worker(TestD)/ to match "Run options: -j t1 --no-retry\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:500:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:557:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:566:in _run_suites'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in

_run_anything'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:635:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:639:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

3. Failure:

test_should_retry_failed_on_workers(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:162]:

Expected /^Retrying.+$/ to match "Run options: -j t1\n\n# Running ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:500:in ensure in

_run_parallel': undefined method each' for nil:NilClass (NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:557:in

_run_parallel'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:566:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:635:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:639:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

4. Failure:

test_should_run_all_without_any_leaks(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:156]:

Expected /^[SF.]{7}$/ to match "Run options: -j t1\n\n# Running ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:500:in ensure in

_run_parallel': undefined method each' for nil:NilClass (NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:557:in

_run_parallel'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:566:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:635:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:639:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".
11 tests, 42 assertions, 4 failures, 0 errors, 0 skips

make: *** [yes-test-all] Error 4

#8 - 03/13/2012 11:15 AM - sorah (Sorah Fukumori)

- Status changed from Feedback to Rejected

Rejecting because of no feedback and I can't reproduce in my environment.

(if this issue is still reproducible, please reopen)

#9 - 05/06/2012 05:57 AM - zenspider (Ryan Davis)

On Jun 2, 2011, at 03:56 , Shota Fukumori wrote:

could test again with make TESTS="-v testunit/test_parallel.rb" test-all at r31902?

I can't reproduce at ruby 1.9.3dev (2011-06-02 trunk 31902) [x86_64-darwin10.7.0].

 As an aside, since you're on OSX, do the drb tests work for you? How to fix?

TestDRbAry#test_01 = 74.83 s = E

TestDRbAry#test_02_collect = 75.54 s = E

TestDRbAry#test_03_redo = 75.03 s = E

TestDRbAry#test_05_break = 75.03 s = E

TestDRbAry#test_06_next = 75.03 s = E

TestDRbAry#test_07_break_18 = 75.04 s = E

Huh... any suggestion on what I might be doing wrong because I can reproduce against latest?

% ./miniruby -v

ruby 1.9.3dev (2011-06-02 trunk 31906) [x86_64-darwin10.7.0]

% make TESTS="-v testunit/test_parallel.rb" test-all

./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  -- "./test/runner.rb" --ruby="./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb

--extout=.ext  --" -v testunit/test_parallel.rb

Run options: "--ruby=./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  --" -v

Running tests:

TestParallel::TestParallel#test_jobs_status = 0.12 s = F

TestParallel::TestParallel#test_no_retry_option = 0.12 s = F

TestParallel::TestParallel#test_should_retry_failed_on_workers = 0.12 s = F

TestParallel::TestParallel#test_should_run_all_without_any_leaks = 0.12 s = F

TestParallel::TestParallelWorker#test_accept_run_command_multiple_times = 0.11 s = .

TestParallel::TestParallelWorker#test_done = 0.11 s = .

TestParallel::TestParallelWorker#test_p = 0.11 s = .

TestParallel::TestParallelWorker#test_quit = 0.10 s = .

TestParallel::TestParallelWorker#test_run = 0.11 s = .

TestParallel::TestParallelWorker#test_run_multiple_testcase_in_one_file = 0.11 s = .

Finished tests in 1.118685s, 8.9391 tests/s, 36.6502 assertions/s.

1. Failure:

test_jobs_status(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:176]:

Expected /\d+=test_(first|second|third|forth) */ to match "Run options: -j t2 --jobs-status\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in

_run_anything'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

2. Failure:

test_no_retry_option(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:170]:

Expected /^ +\d+) Failure:\nptest_fail_at_worker(TestD)/ to match "Run options: -j t2 --no-retry\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in
_run_anything'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

3. Failure:

test_should_retry_failed_on_workers(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:162]:

Expected /^Retrying.+$/ to match "Run options: -j t2\n\n# Running ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in

_run_parallel': undefined method each' for nil:NilClass (NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in

_run_parallel'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

4. Failure:

test_should_run_all_without_any_leaks(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:156]:

Expected /^.(.SF.F|F..+SF).$/ to match "Run options: -j t2\n\n# Running ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in

_run_parallel': undefined method each' for nil:NilClass (NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in

_run_parallel'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

10 tests, 41 assertions, 4 failures, 0 errors, 0 skips

make: *** [yes-test-all] Error 4

#10 - 05/06/2012 05:58 AM - zenspider (Ryan Davis)

On Jun 2, 2011, at 03:56 , Shota Fukumori wrote:

could test again with make TESTS="-v testunit/test_parallel.rb" test-all at r31902?

I can't reproduce at ruby 1.9.3dev (2011-06-02 trunk 31902) [x86_64-darwin10.7.0].

 As an aside, since you're on OSX, do the drb tests work for you? How to fix?

TestDRbAry#test_01 = 74.83 s = E

TestDRbAry#test_02_collect = 75.54 s = E

TestDRbAry#test_03_redo = 75.03 s = E

TestDRbAry#test_05_break = 75.03 s = E

TestDRbAry#test_06_next = 75.03 s = E

TestDRbAry#test_07_break_18 = 75.04 s = E

Huh... any suggestion on what I might be doing wrong because I can reproduce against latest?

% ./miniruby -v

ruby 1.9.3dev (2011-06-02 trunk 31906) [x86_64-darwin10.7.0]

% make TESTS="-v testunit/test_parallel.rb" test-all

./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  -- "./test/runner.rb" --ruby="./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb

--extout=.ext  --" -v testunit/test_parallel.rb

Run options: "--ruby=./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  --" -v

Running tests:

TestParallel::TestParallel#test_jobs_status = 0.12 s = F

TestParallel::TestParallel#test_no_retry_option = 0.12 s = F

TestParallel::TestParallel#test_should_retry_failed_on_workers = 0.12 s = F

TestParallel::TestParallel#test_should_run_all_without_any_leaks = 0.12 s = F

TestParallel::TestParallelWorker#test_accept_run_command_multiple_times = 0.11 s = .

TestParallel::TestParallelWorker#test_done = 0.11 s = .

TestParallel::TestParallelWorker#test_p = 0.11 s = .
TestParallel::TestParallelWorker#test_quit = 0.10 s = .

TestParallel::TestParallelWorker#test_run = 0.11 s = .

TestParallel::TestParallelWorker#test_run_multiple_testcase_in_one_file = 0.11 s = .

Finished tests in 1.118685s, 8.9391 tests/s, 36.6502 assertions/s.

1. Failure:

test_jobs_status(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:176]:

Expected /\d+=test_(first|second|third|forth) */ to match "Run options: -j t2 --jobs-status\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in

_run_anything'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

2. Failure:

test_no_retry_option(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:170]:

Expected /^ +\d+) Failure:\nptest_fail_at_worker(TestD)/ to match "Run options: -j t2 --no-retry\n\n# Running

ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in _run_parallel': undefined method each' for nil:NilClass

(NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in _run_parallel'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in

_run_anything'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

3. Failure:

test_should_retry_failed_on_workers(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:162]:

Expected /^Retrying.+$/ to match "Run options: -j t2\n\n# Running ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in

_run_parallel': undefined method each' for nil:NilClass (NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in

_run_parallel'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

4. Failure:

test_should_run_all_without_any_leaks(TestParallel::TestParallel) [/Users/ryan/Work/svn/ruby/ruby/test/testunit/test_parallel.rb:156]:

Expected /^.(.SF.F|F..+SF).$/ to match "Run options: -j t2\n\n# Running ptests:\n\n/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:495:in ensure in

_run_parallel': undefined method each' for nil:NilClass (NoMethodError)\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:552:in

_run_parallel'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:561:in _run_suites'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:746:in _run_anything'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/misc.rb:14:in run_tests'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:896:in block in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in

each'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:895:in _run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/minitest/unit.rb:884:in

run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:21:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:609:in run'\n\tfrom

/Users/ryan/Work/svn/ruby/ruby/lib/test/unit.rb:613:in run'\n\tfrom /Users/ryan/Work/svn/ruby/ruby/test/testunit/tests_for_parallel/runner.rb:7:in

'\n".

10 tests, 41 assertions, 4 failures, 0 errors, 0 skips

make: *** [yes-test-all] Error 4
